11f0f1a9f4
* Don't request job control in the shell scripts used during the build via the "-m" option; it will cause a backgrounded job to stall with SIGTTIN. * Add a Config.generic-netbsd, and collect common settings for all the various NetBSD configs there. * Do tty handling in sbcl the same way OpenBSD does, i.e. no TIOCNOTTY. Bump PKGREVISION.
14 lines
415 B
Bash
14 lines
415 B
Bash
$NetBSD: patch-make-host-1.sh,v 1.1 2019/10/12 09:47:40 he Exp $
|
|
|
|
Do not explicitly turn on job control, it will stall a bakcground job
|
|
with SIGTTIN.
|
|
|
|
--- make-host-1.sh.orig 2019-09-28 09:49:01.000000000 +0000
|
|
+++ make-host-1.sh
|
|
@@ -1,5 +1,5 @@
|
|
#!/bin/sh
|
|
-set -em
|
|
+set -e
|
|
|
|
# This is a script to be run as part of make.sh. The only time you'd
|
|
# want to run it by itself is if you're trying to cross-compile the
|